package com.yihu.jw.base.service.dict.importManage;


import com.yihu.jw.util.date.DateUtil;
import com.yihu.jw.util.excel.ExcelUtil;
import com.yihu.jw.util.excel.Validation;
import com.yihu.jw.util.excel.annotation.Location;
import com.yihu.jw.util.excel.annotation.Row;
import com.yihu.jw.util.excel.annotation.Title;
import com.yihu.jw.util.excel.annotation.ValidRepeat;

import java.util.Date;
import java.util.Map;
import java.util.Set;


@Row(start = 1)
public class BasDrugExcelDO extends ExcelUtil implements Validation {

    @Location(x=0)
    @ValidRepeat
    String charge_code;
    @Location(x=1)
    @ValidRepeat
    String serial;
    @Location(x=2)
    @ValidRepeat
    String  group_no;//
    @Location(x=3)
    @ValidRepeat
    String drugname;
    @Location(x=4)
    @ValidRepeat
    String dosage;//
    @Location(x=5)
    @ValidRepeat
    String mini_unit;
    @Location(x=6)
    @ValidRepeat
    String pack_size;
    @Location(x=7)
    @ValidRepeat
    String specification;//
    @Location(x=8)
    @ValidRepeat
    String retprice;
    @Location(x=9)
    @ValidRepeat
    String pack_retprice;
    @Location(x=10)
    @ValidRepeat
    String stock_amount;
    @Location(x=11)
    @ValidRepeat
    String  visible_flag;
    @Location(x=12)
    @ValidRepeat
    String  drug_flag;
    @Location(x=13)
    @ValidRepeat
    String  py_code;
    @Location(x=14)
    @ValidRepeat
    String  pack_unit;
    @Location(x=15)
    @ValidRepeat
    String  manu_name;
    @Location(x=16)
    @ValidRepeat
    String  weigh_unit;
    @Location(x=17)
    @ValidRepeat
    String  vol_unit;
    @Location(x=18)
    @ValidRepeat
    String  mini_unit_name;
    @Location(x=19)
    @ValidRepeat
    String  pack_unit_name;
    @Location(x=20)
    @ValidRepeat
    String  weigh_unit_name;
    @Location(x=21)
    @ValidRepeat
    String  vol_unit_name;
    @Location(x=22)
    @ValidRepeat
    String  win_no;
    @Location(x=23)
    @ValidRepeat
    String  max_stock_amount;
    @Location(x=24)
    @ValidRepeat
    String  mini_stock_amount;
    @Location(x=25)
    @ValidRepeat
    String  manufactory;
    @Location(x=26)
    @ValidRepeat
    String  status;

    public String getManufactory() {
        return manufactory;
    }

    public void setManufactory(String manufactory) {
        this.manufactory = manufactory;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @Override
    public int validate(Map<String, Set> repeatMap) {
        int rs = 1;
        return rs;
    }
    public String getCharge_code() {
        return charge_code;
    }

    public void setCharge_code(String charge_code) {
        this.charge_code = charge_code;
    }

    public String getSerial() {
        return serial;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }

    public String getGroup_no() {
        return group_no;
    }

    public void setGroup_no(String group_no) {
        this.group_no = group_no;
    }

    public String getDrugname() {
        return drugname;
    }

    public void setDrugname(String drugname) {
        this.drugname = drugname;
    }

    public String getDosage() {
        return dosage;
    }

    public void setDosage(String dosage) {
        this.dosage = dosage;
    }

    public String getMini_unit() {
        return mini_unit;
    }

    public void setMini_unit(String mini_unit) {
        this.mini_unit = mini_unit;
    }

    public String getPack_size() {
        return pack_size;
    }

    public void setPack_size(String pack_size) {
        this.pack_size = pack_size;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public String getRetprice() {
        return retprice;
    }

    public void setRetprice(String retprice) {
        this.retprice = retprice;
    }

    public String getPack_retprice() {
        return pack_retprice;
    }

    public void setPack_retprice(String pack_retprice) {
        this.pack_retprice = pack_retprice;
    }

    public String getStock_amount() {
        return stock_amount;
    }

    public void setStock_amount(String stock_amount) {
        this.stock_amount = stock_amount;
    }

    public String getVisible_flag() {
        return visible_flag;
    }

    public void setVisible_flag(String visible_flag) {
        this.visible_flag = visible_flag;
    }

    public String getDrug_flag() {
        return drug_flag;
    }

    public void setDrug_flag(String drug_flag) {
        this.drug_flag = drug_flag;
    }

    public String getPy_code() {
        return py_code;
    }

    public void setPy_code(String py_code) {
        this.py_code = py_code;
    }

    public String getPack_unit() {
        return pack_unit;
    }

    public void setPack_unit(String pack_unit) {
        this.pack_unit = pack_unit;
    }

    public String getManu_name() {
        return manu_name;
    }

    public void setManu_name(String manu_name) {
        this.manu_name = manu_name;
    }

    public String getWeigh_unit() {
        return weigh_unit;
    }

    public void setWeigh_unit(String weigh_unit) {
        this.weigh_unit = weigh_unit;
    }

    public String getVol_unit() {
        return vol_unit;
    }

    public void setVol_unit(String vol_unit) {
        this.vol_unit = vol_unit;
    }

    public String getMini_unit_name() {
        return mini_unit_name;
    }

    public void setMini_unit_name(String mini_unit_name) {
        this.mini_unit_name = mini_unit_name;
    }

    public String getPack_unit_name() {
        return pack_unit_name;
    }

    public void setPack_unit_name(String pack_unit_name) {
        this.pack_unit_name = pack_unit_name;
    }

    public String getWeigh_unit_name() {
        return weigh_unit_name;
    }

    public void setWeigh_unit_name(String weigh_unit_name) {
        this.weigh_unit_name = weigh_unit_name;
    }

    public String getVol_unit_name() {
        return vol_unit_name;
    }

    public void setVol_unit_name(String vol_unit_name) {
        this.vol_unit_name = vol_unit_name;
    }

    public String getWin_no() {
        return win_no;
    }

    public void setWin_no(String win_no) {
        this.win_no = win_no;
    }

    public String getMax_stock_amount() {
        return max_stock_amount;
    }

    public void setMax_stock_amount(String max_stock_amount) {
        this.max_stock_amount = max_stock_amount;
    }

    public String getMini_stock_amount() {
        return mini_stock_amount;
    }

    public void setMini_stock_amount(String mini_stock_amount) {
        this.mini_stock_amount = mini_stock_amount;
    }
}
